CREATE TABLE jmf_in_supp_uom_rules (
    RULE_SET_CODE                   VARCHAR2(200)    NOT NULL,
    SUP_UOM_RULE_SET_ID             NUMBER       ,
    CATEGORY_SET_ID                 NUMBER           NOT NULL,
    CATEGORY_ID                     NUMBER           NOT NULL,
    SUPPLEMENTARY_UOM               VARCHAR2(12) ,
    SUPP_QTY_UOM_PRECISION          NUMBER       ,
    SUPP_QTY_UOM_ROUNDING_METHOD    VARCHAR2(120),
    LAST_UPDATED_BY                 VARCHAR2(256)    NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128),
    LAST_UPDATE_DATE                TIMESTAMP(6)     NOT NULL,
    CREATED_BY                      VARCHAR2(256)    NOT NULL,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)     NOT NULL,
    RULE_SET_CODE                   VARCHAR2(200)    NOT NULL,
    SUP_UOM_RULE_SET_ID             NUMBER       ,
    CATEGORY_SET_ID                 NUMBER           NOT NULL,
    CATEGORY_ID                     NUMBER           NOT NULL,
    SUPPLEMENTARY_UOM               VARCHAR2(12) ,
    SUPP_QTY_UOM_PRECISION          NUMBER       ,
    SUPP_QTY_UOM_ROUNDING_METHOD    VARCHAR2(120),
    LAST_UPDATED_BY                 VARCHAR2(256)    NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128),
    LAST_UPDATE_DATE                TIMESTAMP(6)     NOT NULL,
    CREATED_BY                      VARCHAR2(256)    NOT NULL,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_jmf_in_supp_uom_rules PRIMARY KEY (SUP_UOM_RULE_SET_ID, SUP_UOM_RULE_SET_ID)
);
